package com.ningdatech.pmapi.staging.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.StringUtils;

import java.util.Objects;

/**
 * 消息类型枚举
 * @author CMM
 * @since 2023/02/28 17:34
 */
@Getter
@AllArgsConstructor
@NoArgsConstructor
public enum MsgTypeEnum {
    /**
     * 消息类型 项目评审
     */
    PROJECT_REVIEW,
    /**
     * 异常告警
     */
    WARING,
    /**
     * 专家评审
     */
    EXPERT_REVIEW,
    /**
     * 专家会议
     */
    REVIEW_MEETING;

    private Integer code;
    private String desc;

    public static String getDescByCode(Integer code) {
        if (Objects.isNull(code)) {
            return StringUtils.EMPTY;
        }
        for (MsgTypeEnum t : MsgTypeEnum.values()) {
            if (code.equals(t.getCode())) {
                return t.desc;
            }
        }
        return StringUtils.EMPTY;
    }

    public boolean eq(String val) {
        return this.name().equals(val);
    }


}
